Skip to content

Username Search

Premium · 5 credits

Check whether a username is available on popular platforms like GitHub, Twitter, Instagram, and more.

FieldTypeRequiredDescription
usernamestringYesUsername to search
platformsarrayNoFilter to specific platforms. Omit to check all
FieldTypeDescription
usernamestringSearched username
resultsarrayPer-platform results
results[].platformstringPlatform name
results[].urlstringProfile URL
results[].availablebooleanWhether the username is available
results[].statusstringavailable, taken, error, or timeout
results[].errorstringError message if the check failed
Terminal window
curl -X POST https://morso.dev/api/username-search \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"username": "morsodev"}'
{
"username": "morsodev",
"results": [
{"platform": "GitHub", "url": "https://github.com/morsodev", "available": true, "status": "available"},
{"platform": "Twitter", "url": "https://twitter.com/morsodev", "available": false, "status": "taken"},
{"platform": "Instagram", "url": "https://instagram.com/morsodev", "available": true, "status": "available"},
{"platform": "Reddit", "url": "https://reddit.com/user/morsodev", "available": true, "status": "available"}
]
}
Terminal window
curl -X POST https://morso.dev/api/username-search \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"username": "morsodev", "platforms": ["GitHub", "Twitter"]}'
{
"username": "morsodev",
"results": [
{"platform": "GitHub", "url": "https://github.com/morsodev", "available": true, "status": "available"},
{"platform": "Twitter", "url": "https://twitter.com/morsodev", "available": false, "status": "taken"}
]
}